# BuildCache

API Documentation: | `BuildCache`

Known Subtypes: |
`AbstractBuildCache`

Configuration object for a build cache.

### Properties

Property | Description
`enabled` | Whether the build cache is enabled.
`push` | Whether a given build can store outputs in the build cache.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `enabled`

Whether the build cache is enabled.

#### `boolean` `push`

Whether a given build can store outputs in the build cache.